%if 0%{?rhel} > 6 || 0%{?fedora} > 16
%global librarydir %{_libdir}
%else
%global librarydir /%{_lib}
%endif

Summary:        Library for asynchronous I/O readiness notification
Name:           ivykis
Version:        0.30.5
Release:        1%{?dist}

License:        LGPLv2+
URL:            http://libivykis.sourceforge.net/
Group:          System Environment/Libraries
Source0:        http://downloads.sourceforge.net/project/libivykis/%{version}/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
ivykis is a library for asynchronous I/O readiness notification.
It is a thin, portable wrapper around OS-provided mechanisms such
as epoll_create(2), kqueue(2), poll(2), poll(7d) (/dev/poll),
port_create(3C) and select(2).

ivykis was mainly designed for building high-performance network
applications, but can be used in any event-driven application that
uses poll(2)able file descriptors as its event sources.

%package devel
Summary:        Development files for the ivykis package
Group:          Development/Libraries
Requires:       %{name}%{?_isa} = %{version}-%{release}
Requires:       pkgconfig

%description devel
ivykis is a library for asynchronous I/O readiness notification.
This package contains files needed to develop applications using
ivykis.


%prep
%setup -q

%build
%configure --libdir=%{librarydir}
%{__make} %{_smp_mflags}

%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} install

rm -f %{buildroot}%{librarydir}/libivykis.{a,la}

%if "%{librarydir}" != "%{_libdir}"
  mkdir -p %{buildroot}%{_libdir}
  mv %{buildroot}%{librarydir}/pkgconfig %{buildroot}%{_libdir}/
%endif

%clean
rm -rf %{buildroot}


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%doc AUTHORS COPYING
%{librarydir}/libivykis.so.*

%files devel
%{librarydir}/libivykis.so
%{_includedir}/iv*
%{_libdir}/pkgconfig/*
%{_mandir}/man3/*.3*


%changelog
* Mon Dec 10 2012 Jose Pedro Oliveira <jpo at di.uminho.pt> - 0.30.5-1
- Update to 0.30.5.

* Sun Oct  7 2012 Jose Pedro Oliveira <jpo at di.uminho.pt> - 0.30.4-2
- Handle review issues (863719#c1)

* Sat Oct  6 2012 Jose Pedro Oliveira <jpo at di.uminho.pt> - 0.30.4-1
- Initial specfile for Fedora and EPEL.

# vim:set ai ts=4 sw=4 sts=4 et:
